/*
Perspective Kaye scripts file
*/
document.addEventListener('DOMContentLoaded', function() {
	'use strict';

	/* COUNT VIEWS */
	const postID = document.querySelector('article').id.replace('post-', '');
	const cookie = Cookies.get('view-' + postID);

	if (!cookie) {
		Cookies.set('view-' + postID, Date.now(), { expires: 1, path: '/', secure: true, sameSite: 'strict' });

		const views = document.querySelector('article').getAttribute('data-views');
		let newViews = parseInt(views) + 1;
		if (views === '') {
			newViews = 1;
		}

		let params = {
			post_id: postID,
			views: newViews
		};

		fetch(VIEWS.rest_url + 'kts/v1/views', {
			method: 'POST',
			body: JSON.stringify(params),
			credentials: 'same-origin',
			headers: {
				'Content-Type': 'application/json',
				'X-WP-Nonce': VIEWS.views_nonce
			}
		})
		.then(response => {
			if (!response.ok) {
				return response.json()
				.then(error => {
					throw new Error(error.message);
				});
			}
			return response.json() // no errors
		})
		.then(data => {
			document.querySelector('article').setAttribute('data-views', data);
		})
		.catch(error => {
			console.log(error.message);
		});
	}

}); /* end of as page load scripts */
